# Project information
site_name: ETSI SDG OSL Documentation
site_description: ETSI SDG OSL Documentation page
site_author: OpenSlice by ETSI
site_url: https://osl.etsi.org/

# Repository
repo_name: OSL GitLab
repo_url: https://labs.etsi.org/rep/osl
edit_uri: ""
docs_dir: doc

# edit_uri: edit/docs-revamp/docs/
# edit_uri: blob/docs-revamp/docs/

# remote_name: origin
# remote_branch: gh-pages

# Theme and overrides, i.e. language partial
# https://squidfunk.github.io/mkdocs-material/creating-your-site/
theme:
  name: material

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
#  feature:
#    tabs: true
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.top
  - navigation.footer
  - navigation.path
  - search
  - search.highlight

  palette:
    primary: 'cyan'
    accent: 'blue'

  logo: 'images/logo_osl.png'
  favicon: images/favicon.png

  icon:
    repo: fontawesome/brands/gitlab

# Copyright
copyright: "Copyright &copy; 2024 ETSI OSL"

# Options
extra:
#  search:
#    languages: "en"
  social:
    - icon: fontawesome/solid/globe
      link: https://osl.etsi.org/
    - icon: fontawesome/brands/gitlab
      link: https://labs.etsi.org/rep/osl
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/openslice/
    - icon: fontawesome/brands/x-twitter
      link: https://twitter.com/OpensliceOSS
  version:
    provider: mike

# Page tree
nav:
  - Overview:
    - Introduction: index.md
    - OpenSlice deployment examples: OpenSlice_deployment_examples.md
    - History: history.md
    - ETSI OSL: etsi_osl.md
  - Getting Started:
    - Deployment: 
      - Introduction: deployment.md
      - Docker Compose: deploymentCompose.md
      - Kubernetes: deploymentK8s.md
    - Portals:
      - Introduction: portals_intro.md
    - Configuration/Management:
      - Introduction: config_intro.md
      - Role/Keycloak management: role_keycloak_management.md
      - NFV Orchestrator Configuration: nfvoconfig.md
      - Advanced topics:
        - Consuming Services From External OSS: ./architecture/consumingServicesFromExternalPartners.md
  - NaaS:
    - Introduction: ./naas/introduction.md
    - Services:
      - Service Catalogs: ./naas/service_catalog.md
      - Service Specification: ./naas/service_spec.md
      - Service Ordering: ./naas/service_ordering.md
      - Service Inventory: ./naas/service_inventory.md
      - GSMA GST to TMF Service: ./naas/gst_to_tmf.md      
    - Resources:
      - Resources Catalogs:  ./naas/resource_catalog.md
      - Resources Specification: ./naas/resource_spec.md
      - Resources Inventory:  ./naas/resource_inventory.md
    - Service orchestration:
      - Introduction: ./naas/so_intro.md
      - Service Lifecycle management: ./naas/lcm_intro.md
      - LCM Rules Introduction: ./naas/lcm_rules_intro.md      
      - From Service order to services/resources: 
        - Exposing Kubernetes services: ./naas/so_servicespec_to_services_kubernetes.md
        - Exposing NFV Services: ./naas/so_servicespec_to_services_nfv.md
    - Supported TMFORUM exposed APIs: ./naas/exposed_apis.md
    - NFV support:
      - Introduction: ./naas/nfv/intro.md
      - NFV Services: ./naas/nfv/nfvservices.md
  - Service design:
    - Introduction: ./service_design/intro.md
    - Catalogs: ./service_design/catalogs.md
    - Support for Kubernetes:
      - Introduction: ./service_design/kubernetes/intro.md
      - Exposing Kubernetes Resources: ./service_design/kubernetes/ExposingKubernetesResources.md
      - Design Helm as a Service: ./service_design/kubernetes/helm/design_helmaas.md
    - Support for NFV:
      - Design NFV Services: ./service_design/nfv/design_nfv_services.md
    - LCM Rules:
      - Introduction: ./service_design/lcmrules/intro.md
      - Specification: ./service_design/lcmrules/specification.md
      - Typical Examples: ./service_design/lcmrules/examples.md
    - Service Specification Examples: 
      - Introduction: ./service_design/examples/intro.md
      - Open5GS (NFV approach): ./service_design/examples/open5gs_nfv.md
      - Open5GS (Kubernetes approach): ./service_design/examples/open5gs_kubernetes.md
      - Exposing CRDs_aaS_Example_Calculator: ./service_design/examples/ExposingCRDs_aaS_Example_Calculator/ExposingCRDs_aaS_Example_Calculator.md
      - HELM Installation aaS Jenkins Example: ./service_design/examples/helmInstallation_aaS_Example_Jenkins/HELM_Installation_aaS_Jenkins_Example.md
  - Service Ordering:
    - Ordering Services from catalogs: ./service_ordering/ordering_services.md
  - Testing services:
    - Testing Specification: ./testing_services/test_spec.md
    - Testing Catalogs: ./testing_services/test_catalogs.md
    - Testing Inventory: ./testing_services/test_inventory.md
  - Service as a Product:
    - Product Specification: ./product_model/product_spec.md
    - Product Catalogs: ./product_model/product_catalogs.md
    - Product Inventory: ./product_model/product_inventory.md
  - Assurance services:
    - Introduction: ./assurance_services/intro.md
    - Alarms and Actions: ./assurance_services/alarms_actions.md
  - Design & Architecture:
      - Architecture: ./architecture/architecture.md
      - Cloud native support: 
        - Introduction: ./architecture/CRIDGE_cloud_native_intro.md
        - CRIDGE for Developers: ./architecture/CRIDGE/CRIDGEforDevelopers.md
      - Message bus: ./architecture/messagebus.md
      - OSOM: ./architecture/osom.md
      - Authentication: ./architecture/oauth.md
      - APIs:
        - TMF API: ./architecture/tmfapi.md
        - NFV API: ./architecture/nfvapi.md
      - Issue management: ./architecture/issuemgt.md
      - Central logging: ./architecture/centrallog.md
  - Contributing to OSL:
    - Developing: ./contributing/developing.md
  - Terminology: terminology.md
